import type { _NSObject } from "../Foundation/NSObject.js";
import type { _MKAnnotation } from "./MKAnnotation.js";
import type { _MKMapItem } from "./MKMapItem.js";
export declare class _MKMapItemAnnotation extends _NSObject {
    static alloc(): _MKMapItemAnnotation;
    static new(): _MKMapItemAnnotation;
    init(): _MKMapItemAnnotation;
    /**
     * Creates a map item annotation If `mapItem` does not have valid `coordinate` data, the result will be `nil`. - Parameters: - mapItem: the map item this annotation will represent
     */
    initWithMapItem$(mapItem: _MKMapItem): _MKMapItemAnnotation | null;
    /** The map item represented by this annotation */
    mapItem(): _MKMapItem;
}
export interface _MKMapItemAnnotation extends _MKAnnotation {
}
